# utrigger

~~~
utrigger: lancer une commande en différé

USAGE
    utrigger [options] -- command [args]

La commande est lancée après un certain temps, sauf si ce script est rappelé
(auquel cas le compte est réinitialisé), ou si l'opération est annulée.
Attention! La commande est lancée en tâche de fond, et son entrée standard est
connectée à un fichier qui peut être provisionné avec l'option -a

note: ce script ne fonctionne que sous Linux puisqu'il utilise la commande flock

OPTIONS
    -n, --name NAME
        Spécifier un nom identifiant la tâche. Par défaut, le nom est généré à
        partir des détails de la tâche à lancer. Ce nom est utilisé pour
        identifier les invocations successives.
    -f, --cmdfile CMDFILE
        Spécifier un fichier contenant les commandes à lancer. Le fichier est
        sourcé dans un sous-shell. Utiliser - pour lire les commandes depuis
        l'entrée standard.
    --rundelay RUNDELAY[=5]
        Nombre de secondes au bout desquelles la commande est lancée. Si ce
        script est relancé avant la fin de ce décompte, le compte est remis à
        zéro.
        Utiliser --rundelay '' pour désactiver cette fonctionnalité, auquel cas
        la commande est lancée immédiatement.
    -s, --sudo
        Forcer l'exécution de la commande avec l'utilisateur root si ce n'est
        pas déjà le cas
    -a, --datafile DATAFILE
        Accumuler des données à fournir à la commande. Les informations du
        fichier DATAFILE (utiliser - pour l'entrée standard) sont ajoutées à un
        fichier temporaires, et sont fournies en une seule fois à la commande
        sur son entrée standard.
    -A, --data DATA
        Variante de --datafile où les données sont fournies sur la ligne de
        commande au lieu d'un fichier externe. Si les deux options -a et -A sont
        spécifiées, les données sont accumulées dans l'ordre --datafile puis
        --data
    -k, --cancel
        Annuler le lancement planifié d'une commande. Si la commande est déjà en
        train de tourner, cette option n'a aucun effet.
~~~

-*- coding: utf-8 mode: markdown -*- vim:sw=4:sts=4:et:ai:si:sta:fenc=utf-8:noeol:binary